
#include "xbp.ch"
#include "Appevent.ch"
#include "common.ch"
#include "inkey.ch"

#include "dxe_TREE.ch"

PROCEDURE appsys ; return
// ---------------------------------------------------------------------------

PROCEDURE Main()
LOCAL nEvent, oXbp, mp1, mp2
LOCAL oDlg
LOCAL oTreeView


   SET DATE GERMAN
   SET CENTURY ON
   SET ALTER TO LOGFILE.TXT

   //
   oDlg := NewForm():New(AppDesktop(),,{0,0}, {533,296},,.F.)
   oDlg:taskList := .T.
   oDlg:title    := "native TreeView"
   oDlg:close    := {|p1,p2,oo| PostAppEvent(xbeP_Quit,,,oo) }
   oDlg:drawingArea:resize := {| aOldSize, aNewSize, oSelf | MyResize(aOldSize,aNewSize,oSelf,oTreeView)  }
   oDlg:Create()

   oDlg:drawingArea:ClipChildren := .T.

   CreateTreeView(oDlg,@oTreeView)

   CenterControl(oDlg)

   oDlg:Show()
   SetAppFocus( oDlg )

   nEvent := xbe_None
   WHILE nEvent != xbeP_Close
      nEvent := AppEvent ( @mp1, @mp2, @oXbp )
      DO CASE

         CASE nEvent == xbeP_Quit
            QUIT   // AppQuit()

         CASE nEvent = xbeP_Keyboard .AND. mp1 = xbeK_ENTER
            TONE(1234)
*           GetItemText(,,oTreeView)
*           PostAppEvent(xbeM_LbDblClick,,, oTreeView)
            PostAppEvent(xbeTREE_DBLCLK,,, oTreeView)

      OTHERWISE
         oXbp:HandleEvent ( nEvent, mp1, mp2 )
      ENDCASE
   ENDDO

   oTreeView:destroy()
   oDlg:destroy()
   SET ALTER TO

RETURN

CLASS NewForm FROM _NewForm
   EXPORTED:
      METHOD init
      METHOD create
ENDCLASS

METHOD NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::_NewForm:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

RETURN self

METHOD NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::_NewForm:create( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::show()

RETURN self

* Programmcode fr die Implementierungsebene der Klasse einfgen
***#include "_DEMOTREE.PRG"

//EOF
/////