///////////////////////////////////////////////////////////////////////////////
//
//  Class code created by the Xbase++ FormDesigner
//    Creation date: 29/07/2003 Creation time: 13:17:58
//
//  Contents  :
//    This file contains the implementation level of a form and is
//    overwritten automatically by the Xbase++ Form Designer.
//    Be careful when modifying this file since changes may get lost.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _INITREE_
#define _INITREE_

#include "Gra.ch"
#include "Xbp.ch"
#include "Common.ch"
#include "Appevent.ch"
#include "Font.ch"

CLASS _IniTree FROM XbpDialog
   EXPORTED:
      VAR editControls

      * Contained control elements
      VAR tv        
      VAR stSection 
      VAR sleSection
      VAR stKey     
      VAR sleKey    
      VAR stValue   
      VAR sleValue  
      VAR pbOk      
      VAR pbCancel  
      VAR Static1   
      VAR Static2   
      VAR mleSection

      METHOD init
      METHOD create
ENDCLASS

******************************************************************************
* Initialize form
******************************************************************************
METHOD _IniTree:init( oParent, oOwner, aPos, aSize, aPP, lVisible )

   DEFAULT oParent  TO AppDesktop(), ;
           aPos     TO {262,198}, ;
           aSize    TO {556,319}, ;
           lVisible TO .F.

   DEFAULT aPP TO {}
   AAdd ( aPP, { XBP_PP_COMPOUNDNAME, "8.Arial" } )
   ::XbpDialog:init( oParent, oOwner, aPos, aSize, aPP, lVisible )
   ::XbpDialog:taskList := .T.
   ::XbpDialog:title := "IniTree"

   ::editControls := {}

//  ::tv         := XbpTreeView():new( ::drawingArea, , {8,80}, {200,208}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
  ::tv         := dxe_TreeView():new( ::drawingArea, , {8,80}, {200,208}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::tv:tabStop := .T.

   ::stSection  := XbpStatic():new( ::drawingArea, , {8,56}, {40,16} )
   ::stSection:caption := "Section"
   ::stSection:clipSiblings := .T.
   ::stSection:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::sleSection := XbpSLE():new( ::drawingArea, , {56,56}, {280,16}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::sleSection:editable := .F.
   ::sleSection:tabStop := .T.

   ::stKey      := XbpStatic():new( ::drawingArea, , {8,32}, {40,16} )
   ::stKey:caption := "Key"
   ::stKey:clipSiblings := .T.
   ::stKey:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::sleKey     := XbpSLE():new( ::drawingArea, , {56,32}, {280,16}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::sleKey:editable := .F.
   ::sleKey:tabStop := .T.

   ::stValue    := XbpStatic():new( ::drawingArea, , {8,8}, {40,16} )
   ::stValue:caption := "Value"
   ::stValue:clipSiblings := .T.
   ::stValue:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_RIGHT

   ::sleValue   := XbpSLE():new( ::drawingArea, , {56,8}, {384,16}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   ::sleValue:tabStop := .T.

   ::pbOk       := XbpPushButton():new( ::drawingArea, , {448,8}, {96,32}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::pbOk:caption := "Ok"
   ::pbOk:tabStop := .T.
   ::pbOk:activate := {|| NIL }

   ::pbCancel   := XbpPushButton():new( ::drawingArea, , {448,40}, {96,32}, { { XBP_PP_BGCLR, XBPSYSCLR_BUTTONMIDDLE }, { XBP_PP_FGCLR, -58 } } )
   ::pbCancel:caption := "Cancel"
   ::pbCancel:tabStop := .T.
   ::pbCancel:activate := {|| NIL }

   ::Static1    := XbpStatic():new( ::drawingArea, , {344,56}, {96,16}, { { XBP_PP_FGCLR, GRA_CLR_DARKBLUE }, { XBP_PP_COMPOUNDNAME, "12.Arial" } } )
   ::Static1:caption := "IniEdit"
   ::Static1:clipSiblings := .T.
   ::Static1:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_CENTER

   ::Static2    := XbpStatic():new( ::drawingArea, , {344,32}, {96,16}, { { XBP_PP_FGCLR, GRA_CLR_DARKGRAY } } )
   ::Static2:caption := "(c) Phil Ide 2003"
   ::Static2:clipSiblings := .T.
   ::Static2:options := XBPSTATIC_TEXT_VCENTER+XBPSTATIC_TEXT_CENTER

   ::mleSection := XbpMle():new( ::drawingArea, , {216,80}, {328,208}, { { XBP_PP_BGCLR, GRA_CLR_WHITE } } )
   ::mleSection:editable := .F.
   ::mleSection:tabStop := .T.

RETURN self


******************************************************************************
* Request system resources
******************************************************************************
METHOD _IniTree:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::XbpDialog:create( oParent, oOwner, aPos, aSize, aPP, lVisible )

   ::tv:create()

   ::stSection:create()

   ::sleSection:create()

   ::stKey:create()

   ::sleKey:create()

   ::stValue:create()

   ::sleValue:create()

   ::pbOk:create()

   ::pbCancel:create()

   ::Static1:create()

   ::Static2:create()

   ::mleSection:create()


RETURN self

#endif

//EOF
/////