#include "xbp.ch"

#include "dxe_TREE.ch"

#define HAVE_ONE_ITEM  0
#define HAVE_SUB_ITEM  2

PROCEDURE CreateTreeView(oDlg,oTreeView)
LOCAL oDa,aPos
LOCAL aTmp
LOCAL aSize := {0,0}
LOCAL cDLL  := "DXE_TREE.EXE"

LOCAL oRoot                                      // Objekt, Handle Root

LOCAL oParent1                                   // Objekt, Handle

LOCAL oParent2                                   // Objekt, Handle
LOCAL oP2Child1                                  // Objekt, Handle

LOCAL oParent3                                   // Objekt, Handle
LOCAL oP3Child1                                  // Objekt, Handle
LOCAL oP3Child2                                  // Objekt, Handle

LOCAL ooo

   oDa   := oDlg:drawingArea
   aPos  := {0,0}

   aTmp  := oDa:Currentsize()

   aSize[1] := aTmp[1]
   aSize[2] := aTmp[2]

   //
   // create on Dialog (!). see resize later.
   //
   oTreeView := DXE_TreeView():New(oDlg,,aPos,aSize,,.F.)
   //
   // set before o:create if need
   //
   oTreeView:drawmode        := XBP_DRAW_OWNER

   oTreeView:create()
   //
   // after o:create()
   //

   oTreeView:itemSelected := {|oItem, aRect, self| GetItemText(oItem) }

   oRoot    := oTreeView:RootItem

      oParent1 := oRoot:addItem("Parent 1", 101, 101, 101, cDLL,NIL )                         ; OnDummy("Parent 1 ...............",oParent1:getHWND())

         ooo := oParent1:addItem("Parent 1 Child 1", 3001, 3001, 3001,cDLL,NIL)               ; OnDummy("Parent 1 Child 1 .......",ooo:getHWND())
         ooo := oParent1:addItem("Parent 1 Child 2", 3002, 3002, 3002,cDLL,NIL)               ; OnDummy("Parent 1 Child 2 .......",ooo:getHWND())
         ooo := oParent1:addItem("Parent 1 Child 3", 3003, 3003, 3003,cDLL,NIL)               ; OnDummy("Parent 1 Child 3 .......",ooo:getHWND())

      oParent2  := oRoot:addItem("Parent 2", 102, 102, 102,cDLL,NIL )                         ; OnDummy("Parent 2 ...............",oParent2:getHWND())

         oP2Child1  := oParent2:addItem("Parent 2 Child 1", 102, 102, 102,cDLL,NIL)           ; OnDummy("Parent 2 Child 1 .......",oP2Child1:getHWND())

         ooo := oP2Child1:addItem("Parent 2 Child 1 Child 1", 3011, 3011, 3011,cDLL,NIL)      ; OnDummy("Parent 2 Child 1 Child 1",ooo:getHWND())
         ooo := oP2Child1:addItem("Parent 2 Child 1 Child 2", 3012, 3012, 3012,cDLL,NIL)      ; OnDummy("Parent 2 Child 1 Child 2",ooo:getHWND())
         ooo := oP2Child1:addItem("Parent 2 Child 1 Child 3", 3013, 3013, 3013,cDLL,NIL)      ; OnDummy("Parent 2 Child 1 Child 3",ooo:getHWND())

      oParent3  := oRoot:addItem("Parent 3", 103, 103, 103,cDLL,NIL )                         ; OnDummy("Parent 3 ...............",oParent3:getHWND())

         oP3Child1  := oParent3:addItem("Parent 3 Child 1", 103, 103, 103,cDLL,NIL)           ; OnDummy("Parent 3 Child 1 .......",oP3Child1:getHWND())
         oP3Child2  := oP3Child1:addItem("Parent 3 Child 1 Child 1", 103, 103, 103,cDLL,NIL)  ; OnDummy("Parent 3 Child 1 Child 1",oP3Child2:getHWND())

         ooo := oP3Child2:addItem("Parent 3 Child 1 Child 1", 3021, 3021, 3021,cDLL,NIL)      ; OnDummy("Parent 3 Child 1 Child 1",ooo:getHWND())
         ooo := oP3Child2:addItem("Parent 3 Child 1 Child 2", 3022, 3022, 3022,cDLL,NIL)      ; OnDummy("Parent 3 Child 1 Child 2",ooo:getHWND())
         ooo := oP3Child2:addItem("Parent 3 Child 1 Child 3", 3023, 3023, 3023,cDLL,NIL)      ; OnDummy("Parent 3 Child 1 Child 3",ooo:getHWND())

   oTreeView:show()

   oTreeView:Get_All_Node()

RETURN

PROCEDURE MyResize(aOldSize, aNewSize, oSelf,oTreeView)
LOCAL aChild := {}

   IF aOldSize[1] == 0 .AND. aOldSize[2] == 0               // was minimize
      aOldSize := aNewSize                                  // New Size

   ELSEIF aNewSize[1] == 0 .OR. aNewSize[2] == 0            // is now minimized
      RETURN

   ELSEIF aNewSize[1] == aOldSize[1] .AND. aNewSize[2] == aOldSize[2]
      RETURN
   ENDIF                                                    // same Size

   oSelf:lockUpdate(.T.)

   //
   // TreeView new Size
   //
   oTreeView:setSize({aNewSize[1],aNewSize[2]})

   oSelf:lockUpdate(.F.)
   oSelf:invalidateRect()

RETURN

PROCEDURE GetItemText(oItem)
LOCAL cText := ""
LOCAL xValue

   cText  := oItem:Caption
   xValue := oItem:getdata()

   msgbox(cText)

RETURN

*
* EOF
*